*{
  margin: 0%;
  padding: 0%;
}

html {
  scroll-behavior: smooth;
  }

:root {
    --primary-color: #213555;
    --secondary-color: #536390;
    --font-color: #424242;
    --bg-color: #EEEEEE;
    --heading-color: #292922;
    --logo-color:#4F709C;
    --nav-color:#e5d183;
    --section-color:#F5F7F8;
    --form-color:#4f709c3a;
}


body {
    background-color: var(--bg-color);
    font-family: roboto;
    color: var(--font-color);
    max-width: 100%;
    transition: 0.5s;
    transition-timing-function: ease-in-out;
}

@font-face {
  font-family: main-font;
  src: url(assets/fonts/RobotoMono-VariableFont_wght.woff2);
}

/*--HEADER MENU--*/

.first-header {
  text-align: center;
  background-image: url(https://shuobaocn.com/wp-content/uploads/2017/10/%E7%B4%A7%E5%9B%BA%E4%BB%B6%E6%8F%92%E5%9B%BE2.jpg);
  background-size: cover;
  height: 400px;
  position: relative;
  background-repeat: no-repeat;
  background-blend-mode: normal, lighten, soft-light;
  width: 100%;
  min-height: 50px;
 /* display: flex;*/
  flex-direction: column;
  justify-content: center;
  padding-bottom: 60px;

}

.mading-1>h1{
  padding-top: 15%;
  justify-content: center;
  text-align: center;
  font-weight: bold;
  font-size: 50px;
  text-shadow: 2px 2px 10px var(--nav-color);
  box-shadow: 30px 5px 20px 10px var(--nav-color);
  animation-name: left-in;
  animation-duration: 4s;
  /*
  animation-iteration-count: infinite;*/
}

@keyframes left-in {
  from {
    margin-left: 100%;
    font-size: 10%;
    text-shadow: 2px 2px 15px #E5D283;
  }
  /*
  0%   {background-color:rgba(255, 0, 0, 0.047); left:0px; top:0px;}
  25%  {background-color:rgba(255, 255, 0, 0.177); left:200px; top:0px;}
  50%  {background-color:rgba(0, 0, 255, 0.236); left:200px; top:200px;}
  75%  {background-color:rgba(0, 128, 0, 0.229); left:0px; top:200px;}
  100% {background-color:rgba(255, 0, 0, 0.184); left:0px; top:0px;}
  */
  to {
    margin-right: 0%;
    text-shadow: 2px 2px 8px #E5D283;
  }
}

.mading-1>p{
  justify-content: center;
  text-align: center;
  font-size: x-large;
  font-weight: bold;
  color: var(--logo-color);
  text-shadow: 2px 5px 10px var(--nav-color);
  animation-name: right-in;
  animation-duration: 4s;
  /*
  animation-iteration-count: infinite;*/
}

@keyframes right-in {
  from {
    margin-right: 100%;
    font-size: 10%;
  }
/*
  0%   {background-color:rgba(255, 0, 0, 0.047); left:0px; top:0px;}
  25%  {background-color:rgba(255, 255, 0, 0.177); left:200px; top:0px;}
  50%  {background-color:rgba(0, 0, 255, 0.236); left:200px; top:200px;}
  75%  {background-color:rgba(0, 128, 0, 0.229); left:0px; top:200px;}
  100% {background-color:rgba(255, 0, 0, 0.184); left:0px; top:0px;}
*/  
  to {
    margin-left: 0%;
  }
}

                /*-----navigasi-----*/

nav {
    position: fixed;
    width: 100%;
    display: flex;
    align-items: center;
    height: 10%;
    background-color: var(--nav-color);
    z-index: 1;
    transition: 0.5s;
    transition-timing-function: ease-in-out;
  }
  
.main-logo {
    position: relative;
  }
  
nav > span {
    display: flex;
    align-items: center;
  }

em {
    color: var(--logo-color);
    font-family: roboto ;
    text-shadow: 0.5px 0.5px 0px #D7DACC, 3px 3px 0px rgba(0,0,0,0.1);
    cursor: pointer;
    transition: 0.5s;
    transition-timing-function: ease-in-out;
    animation: brand 3s 2;
    animation-iteration-count:infinite;
    animation-direction: alternate;
  }

@keyframes brand {
   
    0%   {text-shadow:2px 2px 7px #159fe4; font-size: 14px; opacity: 0.01;}
    50%   {text-shadow:2px 2px 7px #159fe4; font-size: 17px;}
    75%  {text-shadow:2px 2px 7px #e4ad15; font-size: 17px;}
    100%  {text-shadow:2px 2px 7px #eee8d6; font-size: 17px;}

  }

em:hover {
  font-style: normal;
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

nav .copyright {
  font-size: x-small;
  text-shadow: 2px 1px #888888;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 2px;
  right: -17px;
  animation: brand 3s 2;
  animation-iteration-count:infinite;
  animation-direction: alternate;
  }

nav .mobile {
  display: none;
}


nav > ul {
  
    margin-left: auto;
    margin-right: 16px;
  }

nav > ul > li {
    display: inline-block;
    color: var(--primary-color);
    
  }

nav > ul > li > a {
    color: var(--primary-color);
    font-family: roboto ;
    font-size: medium;
    margin-right: 5px;
    cursor: pointer;
    transition: font-size 0.3s;
    transition-timing-function: ease-in-out;
  }

nav > ul > li a:hover {
  background-color: var(--nav-color);
  text-shadow: 0.5px 0.5px 0px #eda010, 3px 3px 0px rgba(0,0,0,0.1);
  font-size: large;
  
  }



/*---------------------MOBILE MENU-------------------------------*/


/* Kontainer <div> - diperlukan untuk memposisikan konten dropdown */
.mobile {
  position: relative;
  display: inline-block;
  
}

/* Konten Dropdown (Hidden secara Default) */


/* Links didalam dropdown */
.mobile ul a {
  color: var(--logo-color);
  font-weight: bolder ;
  padding: 20px 0px;
  text-decoration: none;
  display: block;
  text-shadow: 0.5px 0.5px 0px #f3f0eb, 3px 3px 0px rgba(0,0,0,0.1); 
}

/* Ubah warna link dropdown on hover */
.mobile ul a:hover {
  text-shadow: 0.5px 0.5px 0px #eda010, 3px 3px 0px rgba(0,0,0,0.1);
  font-size: larger;
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

/* Tampilkan menu dropdown on hover */
.mobile:hover #menu {
  display: block;
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

/* Ubah warna background tombol dropdown saat konten dropdown ditampilkan */
.mobile:hover img {
  box-shadow: 0px 2px 20px 0px var(--logo-color);
  border-radius: 20%;
  transition: 0.3s;
  transition-timing-function: ease-in-out;
}


/*--------------------MENU HEADER END-----------------------------*/



/*--- MAIN DISPLAY --*/

main {
    /*font-style: courier,arial,helvetica;*/
    background-color: var(--bg-color);
    margin:30px 5px;
  }


article {  
  margin-top: 5%;
  margin-bottom: 0%;
  background-color: var(--section-color);
  padding-top: 10px;
  padding-bottom: 10px;
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

article h2{
  text-align: center;

}

article p{
  margin: 7%;
}


#layanan {
  text-align: center;
  margin-top: 5%;
  margin-bottom: 0%;
  background-color: var(--section-color);
  padding-top: 10px;
  padding-bottom: 10px;
  transition: 0.5s;
  transition-timing-function: ease-in-out;
  
}

#layanan h3 {
  margin: 3%;
  font-family: 'Roboto Mono',monospace;
  text-align: center;
}

#layanan .layanan-item1{
  background-color: var(--section-color);
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

#layanan .layanan-item1 p{
  margin-right: 5%;
  margin-left: 5%;
}


/*#layanan .layanan-item1 picture{
  filter: grayscale(100%);
}*/

#layanan .layanan-item2{
  margin-top: 10px;
  background-color: var(--section-color);
  padding-top: 10px;
  padding-bottom: 10px;
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

#layanan .layanan-item2 p{
  margin-right: 5%;
  margin-left: 5%;
}
/*------------------------------------*/


#proyek{
  
  margin-top: 5%;
  margin-bottom: 0%;
  background-color: var(--section-color);
  padding-top: 10px;
  padding-bottom: 10px;
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

#proyek h2{
  
  text-align: center;
}

#proyek .proyek-display{
  display:flex;
  justify-content: space-around;
  text-align: center;
}

/*--PROSES PRODUKSI YANG TERSEDIA--*/

#product-picture{
  margin-top: 5%;
  padding-bottom: 30px;
  background-color: var(--section-color);
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

#product-picture h3 {
  margin: 5%;
  font-family: 'Roboto Mono',monospace;
  text-align: center;
}


#product-picture ul {
  margin-left: 10%;
  margin-right: 10%;
  font-family: 'Roboto Mono',monospace;
  text-align: left;

}

#product-picture ul li {
  padding-bottom: 1%;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
}

#product-picture .proyek-item .menu-bar{
  list-style-type: square;
}

#product-picture .proyek-item .mobile-bar {
display: none;
}

#product-picture .grid-container {
  display: grid;
  margin: 5%;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-gap: 35px;
  row-gap: 60px;
  grid-auto-rows: 350px 350px 350px;

}

#product-picture .proyek-item .menu-bar li:hover{
  box-shadow: 0px 8px 50px 5px var(--secondary-color);
  background-color: var(--form-color);
  color: var(--heading-color);
  padding-bottom: 2%;
}


#product-picture .grid-container div{
  filter: blur(2px);
  -webkit-filter: blur(2px);
  transition-duration: 0.5s;
  transition-timing-function: ease-in-out;
}
  

#product-picture .grid-container div:hover{
  filter: blur(0px);
  -webkit-filter: blur(0px);
box-shadow: 0px 8px 50px 5px var(--secondary-color);
padding-top: 1%;
}


.grid-container #pict-1 {
    grid-row: 1;
    grid-column: 1 /4  span;
}

.grid-container #pict-4 {
  grid-row: 1;
  grid-column: 5 /7  span;
}
 

.grid-container #pict-2 {
    grid-row: 2;
    grid-column: 1 / 2 span;
}

.grid-container #pict-5 {
  grid-row: 2;
  grid-column: 5 span;
}

.grid-container #pict-7{
  grid-column: 3/4 span ;
  grid-row: 2 ;
}


.grid-container #pict-3{
    grid-column: 1/4 span ;
    grid-row: 3 ;
}

.grid-container #pict-6{
  grid-column: 5/7 span ;
  grid-row: 3 ;
}

.w3-display-container{
  display: none;
}


/*
.product-herb-picture{
    filter: grayscale(100%);
    cursor: pointer;
  }
  
.product-herb-picture:hover{
    filter: none;
  }
*/

#product-picture .grid-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*--------------------------------*/

#product-picture-2 {
  margin-top: 0%;
  padding-top: 10px;
  padding-bottom: 70px;
  background-color: var(--section-color);
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

#product-picture-2 .grid-container-2 div{
  filter:opacity(50%);
  transition-duration: 0.5s;
  transition-timing-function: ease-in-out;
}
  

#product-picture-2 .grid-container-2 div:hover{
filter:opacity(100%);
box-shadow: 0px 8px 50px 5px var(--secondary-color);
padding-top: 1%;
}


#product-picture-2 ul {
  margin-left: 10%;
  margin-right: 10%;
  font-family: 'Roboto Mono',monospace;
  text-align: left;
}

#product-picture-2 ul li {
  padding-bottom: 1%;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
}


#product-picture-2 .proyek-item-2 .menu-bar-2{
  list-style-type: circle;
}

#product-picture-2 h3 {
    margin: 5%;
    font-family: 'Roboto Mono',monospace;
    text-align: center;
}

#product-picture-2 .grid-container-2 {
  display: grid;
  margin: 5%;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 35px;
  row-gap: 60px;
  grid-auto-rows: 350px 350px 350px;
}

.grid-container-2 #pict-1 {
    grid-row: 1;
    grid-column: 1 / 2 span;
}
 
.grid-container-2 #pict-3 {
    grid-row: 1/2 span;
    grid-column: 3 / 2 span;
}

.grid-container-2 #pict-4{
    grid-column: 1/2 span ;
    grid-row: 2/1 span ;
}

  /*
.product-herb-picture{
    filter: grayscale(100%);
    cursor: pointer;
  }
  
.product-herb-picture:hover{
    filter: none;
  }
*/

#product-picture-2 .grid-container-2 img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#product-picture-2 .proyek-item-2 .menu-bar-2 li:hover{
  box-shadow: 0px 8px 50px 5px var(--secondary-color);
  background-color: var(--form-color);
  color: var(--heading-color);
  padding-bottom: 2%;
}

/*--PRODUKSI-VIDEO IMPLEMENTASI--*/


#proses-produksi{
  margin-top: 5%;
  background-color: var(--section-color);
  padding-top: 20px;
  padding-bottom: 5%;
  transition-duration: 0.5s;
  transition-timing-function: ease-in-out;
}

#proses-produksi h2{
  display: flex;
  justify-content: center;
  text-align: center;
  padding-bottom: 1%;
}


#proses-produksi .produksi{
  width: 100vw;
  height: 200vh;
}

#proses-produksi .produksi{
  display: flex;
  justify-content: center;
  align-items: baseline;
  position: relative;
  width: 100%;
  height: 300px;
  margin-top: 5vh;
  margin-bottom: 35vh;
  padding-bottom: 5%;
}

#proses-produksi .produksi > iframe{
  position: absolute;
  width:70%; 
  height:60vh;
  margin-top:5% ;

}

#proses-produksi .produksi-2{
  width: 100vw;
  height: 200vh;
}

#proses-produksi .produksi-2{
  display: flex;
  justify-content: center;
  align-items: baseline;
  position: relative;
  width: 100%;
  height: 300px;
  margin-top: 5vh;
  margin-bottom: 35vh;
  padding-bottom: 5%;
}

#proses-produksi .produksi-2 > iframe{
  position: absolute;
  width:70%; 
  height:60vh;
  margin-top:5% ;

}

/*--CONTACT AREA--*/

#kontak{
  margin-top: 5%;
  background-color: var(--section-color);
  padding-top: 10px;
  padding-bottom: 1%;
  transition-duration: 0.5s;
  transition-timing-function: ease-in-out;
}

#kontak h2{
  text-align: center;
}

form {
  font-size: medium;
  font-family: 'Roboto Mono',monospace;
  max-width: 480px;
  margin-top: 5%;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 5%;
  border-radius: 10px;
  filter: grayscale(100%);
  transition: 0.5s;
  transition-timing-function: ease-in-out;
}

form:hover{
  filter:grayscale(0%);

}

form fieldset{
  padding: 20px 10px 10px 10px;
  background-color: var(--form-color);
  filter: blur(2px);
  -webkit-filter: blur(2px);
  transition-duration: 0.5s;
  transition-timing-function: ease-in-out;
}

form fieldset:hover{
  filter: blur(0px);
  -webkit-filter: blur(0px);
  box-shadow: 0px 8px 16px 5px var(--secondary-color);
  margin-top: -3%;
}

form fieldset legend{
  padding: 10px;
  text-align: center;

}

input[type="text"],input[type="email"], textarea {
  width: 97.5%;
  padding: 4px 4px;
  margin: 8px 0;
  display: inline-block;
}

select{
  width: 100%;
  padding: 4px 4px;
  margin: 8px 0;
    display: flex;
  justify-content: center;
}

input[type="number"],input[type="date"]{
  width: 97.5%;
  padding: 4px 4px;
  margin: 8px 0;
  display: inline-block;
} 

.submit{
  display: flex;
  justify-content: center;
  gap: 5%;
}
input[type="submit"]{
  width: 40%;
  height: 50px;
  border-radius: 30px;
  padding: 4px 4px;
  margin: 8px 0;
  background-color: rgba(240, 11, 11, 0.475);
  cursor: pointer;
  transition: 0.3s;
  transition-timing-function: ease-in-out;
}

input[type="submit"]:hover{
  box-shadow: 0px 3px var(--font-color);
  width: 38%;
  height: 45px;
  padding: 4px 4px;
  margin: 11px 0;
  
}

input[type="button"]{
  width: 40%;
  height: 50px;
  border-radius: 30px;
  padding: 4px 4px;
  margin: 8px 0;
  background-color: rgba(13, 186, 13, 0.29);
  cursor: pointer;
  transition: 0.3s;
  transition-timing-function: ease-in-out;
}

input[type="button"]:hover{
  box-shadow: 0px 3px var(--font-color);
  width: 38%;
  height: 45px;
  padding: 4px 4px;
  margin: 11px 0;
  
}

/*---ALAMAT TOKO---*/

address{
  text-align: center;
  font-style: main-font;
  
}

/*--------------------MAIN MENU END-----------------*/



/*---FOOTER--*/

footer{
  text-align: left;
  width: 100%;
  margin-bottom: 1%;
  font-style: main-font;
  animation-name: footer;
  animation-duration: 8s;
  animation-iteration-count:infinite;
  animation-timing-function:cubic-bezier(0.35, 0.62, 0.65, 0.3);
  
}

@keyframes footer {
  from {
    margin-right: 100%;
    
  }
 
  0%   {text-shadow:2px 2px 7px #159fe4;}
  25%  {text-shadow:2px 2px 7px #dae415; }
  50%  {text-shadow:2px 2px 7px #e4ad15; }
  75%  {text-shadow:2px 2px 7px #15e426; }
  100% {text-shadow:2px 2px 7px #159fe4; }

  to {
    margin-left: 100%;

  }
}

/*---MENU FOOTER END---*/



/*---------------TRY USED DARKMODE -----------------*/

[data-theme="dark"] {
  --primary-color: #e1e1ff;
  --secondary-color: #818cab;
  --font-color: #e1e1ff;
  --bg-color: #213555;
  --heading-color: #818cab;
  --logo-color:#e4ad15;
  --nav-color:#4F709C;
  --section-color:#1e2f4c;
  --form-color:rgba(120, 171, 233, 0.812);
}

/*----------------darkmode end---------------------*/

/*---------try to used carousel----------------------*/
.pic-ctn {
  width: 100vw;
  height: 200vh;
}

.pic-ctn {
  display: flex;
  justify-content: center;
  position: relative;
  width: 100%;
  height: 300px;
  margin-top: 8vh;
  margin-bottom: 35vh;
}

.pic-ctn > img {
  position: absolute;
  border-radius: 50%;
  width:35%; 
  height:65vh;
  margin-top:5% ;
  left: calc(50% -100px);
  opacity: 0;
  animation: display 10s infinite;
  box-shadow: 0px 5px 45px 5px var(--font-color);
  transition: 0.3s;
  transition-timing-function: ease-in-out;
  
}

@keyframes display {
  0% {
    transform: translateX(200px);
    opacity: 0;
  }
  10% {
    transform: translateX(0);
    opacity: 1;
  }
  20% {
    transform: translateX(0);
    opacity: 1;
  }
  30% {
    transform: translateX(-200px);
    opacity: 0;
  }
  100% {
    transform: translateX(-200px);
    opacity: 0;
  }
}


img:nth-child(2) {
  animation-delay: 2s;
}
img:nth-child(3) {
  animation-delay: 4s;
}
img:nth-child(4) {
  animation-delay: 6s;
}
img:nth-child(5) {
  animation-delay: 8s;
}
/*------------------carousel end-------------------*/